local get_connected_players = minetest.get_connected_players
local abs = math.abs
local basepos = vector.new(0, 6.3, 0)
local base = {x = 0, y = 180, z = 0}

minetest.register_globalstep(function(dtime)
    for _, player in ipairs(minetest.get_connected_players()) do
        local controls = player:get_player_control()
        
        if controls.sneak then  
            player:set_properties({
                eye_height = 1.30, 
                visual_size = {x = 1, y = 0.82},
                collisionbox = { -0.3, 0, -0.3, 0.3, 0, 0.3 }  -- Colisión más baja al agacharse
            })
        else
            player:set_properties({
                visual_size = {x = 1, y = 1}, 
                eye_height = 1.58,
                collisionbox = { -0.3, 0, -0.3, 0.3, 1.7, 0.3 }  -- Colisión normal
            })
        end
    end
end)